> ## Documentation Index
> Fetch the complete documentation index at: https://docs.squarecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Blob 删除对象

> 本文档全面概述了 SquareCloud Blob API 的 DELETE /v1/objects endpoint。

<ParamField header="Authorization" type="string" placeholder="API Key" required>
  你账户的 API 密钥。你可以在[账户设置](https://squarecloud.app/zh/account/security)中找到它。
</ParamField>

<ParamField body="object" type="string" placeholder="对象名称" required>
  要删除的对象的名称。对象名称必须遵循以下模式：`a to z, A to Z, 0 to 9, and _`。

  ```json theme={null}
  { "object": "ID/prefix/name1_ltq7b2sw-de6241.jpeg" }
  ```
</ParamField>

### 响应

<ResponseField name="status" type="string">
  指示调用是否成功。成功为 "success"，否则为 "error"。
</ResponseField>

<ResponseExample>
  ```json theme={null}
  {
    "status": "success"
  }
  ```
</ResponseExample>

### 故障排查

<Tabs>
  <Tab title="400 状态码">
    ### 对象相关

    <CodeGroup>
      ```json INVALID_BODY theme={null}
      // The request body is missing or is not a valid JSON object.
      {
          "status": "error",
          "code": "INVALID_BODY"
      }
      ```

      ```json INVALID_OBJECT theme={null}
      // The provided object name is invalid.
      {
          "status": "error",
          "code": "INVALID_OBJECT"
      }
      ```

      ```json FAILED_DELETE theme={null}
      // The request to delete the objects failed. Please try again.
      {
          "status": "error",
          "code": "FAILED_DELETE"
      }
      ```
    </CodeGroup>
  </Tab>

  <Tab title="401 状态码">
    ### 未授权

    <CodeGroup>
      ```json ACCESS_DENIED theme={null}
      // The API key is missing or invalid. Set a valid key in the Authorization header.
      {
          "status": "error",
          "code": "ACCESS_DENIED"
      }
      ```
    </CodeGroup>
  </Tab>

  <Tab title="404 状态码">
    ### 未找到

    <CodeGroup>
      ```json OBJECT_NOT_FOUND theme={null}
      // The object you are trying to delete does not exist.
      {
          "status": "error",
          "code": "OBJECT_NOT_FOUND"
      }
      ```
    </CodeGroup>
  </Tab>

  <Tab title="429 状态码">
    ### 速率受限

    <CodeGroup>
      ```json RATELIMIT theme={null}
      // Delete rate limit reached (max 1 delete per second).
      {
          "status": "error",
          "code": "RATELIMIT"
      }
      ```
    </CodeGroup>
  </Tab>
</Tabs>
